function spack_env() {
export SPACK_SETUP_ENV=spack/share/spack/setup-env.sh
export SPACK_VENV=spack_icon_env
export SPACK_USER_CACHE_PATH=${WORKDIR}/SPACK_USER_CACHE_PATH
export SPACK_DISABLE_LOCAL_CONFIG=true
}

function install_spack() {
spack_env

#TODO: Would be good to enable the re-utilization of existing spack packages (via packages.yaml or upstreams.yaml)
if [ ! -f ${SPACK_SETUP_ENV} ]; then
  git clone ${SPACK_URL} -b ${SPACK_BRANCH}
fi

. ${SPACK_SETUP_ENV}
spack env create $SPACK_VENV
spack env activate -p $SPACK_VENV
spack compiler find
}

function load_spack() {
spack_env
if [ ! -f ${SPACK_SETUP_ENV} ]; then install_spack; fi
. ${SPACK_SETUP_ENV}
spack env activate -p $SPACK_VENV
}
